Bug 14957 - on Dell PowerEdge 2400 system hangs every 5th minutes
on Dell PowerEdge 2400 system hangs every 5th minutes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-01 07:03 EDT by Suhaib Siddiqi
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-02 16:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suhaib Siddiqi 2000-08-01 07:03:19 EDT
Pinstripe on a Dell PowerEdge 2400, hangs system every 5th minute.  It 
need to be rebboted to bring. It dumps message on screen:

unable to load interpreter /lib/ld-linux.so.2

and kills all the process with the message

VM:  killing process ipop3
VM: killing process sendmail
and so on and so on.. literally kills all the process making system
absolutely unusable.
Comment 1 Alan Cox 2000-08-01 08:40:26 EDT
Provide /proc/slabinfo samples, vmstat data and dmesg output as it starts to do
this please
Comment 2 Alan Cox 2000-08-01 08:41:33 EDT
Kernel not an ld.so issue
Comment 3 Suhaib Siddiqi 2000-08-01 09:32:40 EDT
Here they are

[root@inspire ssiddiqi]# cat /proc/slabinfo
slabinfo - version: 1.0
kmem_cache            30     42
pio_request            0      0
tcp_tw_bucket          5     42
tcp_bind_bucket       17    127
tcp_open_request       0     63
skbuff_head_cache     33     42
sock                  54     66
dquot                  0      0
filp                 467    504
signal_queue           0      0
kiobuf                 0      0
buffer_head         1961   2184
mm_struct             43     62
vm_area_struct      1658   1764
dentry_cache         438   1054
files_cache           42     45
uid_cache              6    127
size-131072            0      0
size-65536             0      0
size-32768             2      2
size-16384             2      2
size-8192              2      2
size-4096              9     10
size-2048             88     92
size-1024             13     24
size-512             168    176
size-256             161    168
size-128             468    475
size-64               64     84
size-32              495    756
slab_cache            59     63
[root@inspire ssiddiqi]# vmstat
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 1  1  0   6152   1784   2620  45832  15 510   378   144  180   725  47  10  43
[root@inspire ssiddiqi]# dmesg
Linux version 2.2.16-17 (root@porky.devel.redhat.com) (gcc version egcs-2.91.66 
19990314/Linux (egcs-1.1.2 release)) #1 Wed Jul 26 16:16:19 EDT 2000
relocating initrd image:
    initrd_start:0xc0f8b000    initrd_end:0xc0fff01e
    mem_start:0xc027e000    mem_end:0xc7ff0000
    initrd_size:0x0007401e     dest:0xc7f7b000
Detected 497187 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 992.87 BogoMIPS
Memory: 127308k/131008k available (1024k kernel code, 416k reserved, 1728k 
data, 64k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 131072 (order 7, 512k)
Page cache hash table entries: 32768 (order 5, 128k)
VFS: Diskquotas version dquot_6.4.0 initialized
CPU: Intel Pentium III (Katmai) stepping 03
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfc7ee
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: 00:00 [1166/0009]: Scanning peer host bridges
PCI: Scanning ServerWorks HE/LE Peer Bus Bridge 00/00
PCI: 00:01 [1166/0009]: Scanning peer host bridges
PCI: Scanning ServerWorks HE/LE Peer Bus Bridge 00/01
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 131072 bhash 65536)
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS not found.
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :  1106.424 MB/sec
   p5_mmx    :  1162.050 MB/sec
   8regs     :   853.440 MB/sec
   32regs    :   477.393 MB/sec
using fastest function: p5_mmx (1162.050 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
RAMDISK: Compressed image found at block 0
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem).
megaraid: v1b08b (June 13, 2000)
megaraid: found 0x8086:0x1960:idx 0:bus 2:slot 6:func 1
scsi0 : Found a MegaRAID controller at 0xc800e000, IRQ: 14
megaraid: [3.13:1.43] detected 2 logical drives
scsi0 : AMI MegaRAID 3.13 254 commands 16 targs 1 chans 8 luns
scsi : 1 host.
scsi0: scanning channel 1 for devices.
  Vendor: DELL      Model: 1x4 U2W SCSI BP   Rev: 5.24
  Type:   Processor                          ANSI SCSI revision: 02
scsi0: scanning virtual channel for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID0  8568R  Rev: 3.13
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sda at scsi0, channel 1, id 0, lun 0
  Vendor: MegaRAID  Model: LD1 RAID0 25704R  Rev: 3.13
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sdb at scsi0, channel 1, id 0, lun 1
SCSI device sda: hdwr sector= 512 bytes. Sectors= 17547264 [8568 MB] [8.6 GB]
 sda: sda1 sda2 < sda5 >
SCSI device sdb: hdwr sector= 512 bytes. Sectors= 52641792 [25704 MB] [25.7 GB]
 sdb:
(scsi1) <Adaptec AIC-7890/1 Ultra2 SCSI host adapter> found at PCI 1/4/0
(scsi1) Wide Channel, SCSI ID=7, 32/255 SCBs
(scsi1) Downloading sequencer code... 392 instructions downloaded
(scsi2) <Adaptec AIC-7880 Ultra SCSI host adapter> found at PCI 1/6/0
(scsi2) Narrow Channel, SCSI ID=7, 16/255 SCBs
(scsi2) Downloading sequencer code... 422 instructions downloaded
scsi1 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.31/3.2.4
       <Adaptec AIC-7890/1 Ultra2 SCSI host adapter>
scsi2 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.31/3.2.4
       <Adaptec AIC-7880 Ultra SCSI host adapter>
scsi : 3 hosts.
(scsi1:0:5:0) Synchronous at 20.0 Mbyte/sec, offset 15.
  Vendor: SONY      Model: SDX-300C          Rev: 04c2
  Type:   Sequential-Access                  ANSI SCSI revision: 02
  Vendor: SPECTRA   Model: 215               Rev: 1004
  Type:   Medium Changer                     ANSI SCSI revision: 02
(scsi2:0:5:0) Synchronous at 20.0 Mbyte/sec, offset 15.
  Vendor: NEC       Model: CD-ROM DRIVE:466  Rev: 1.06
  Type:   CD-ROM                             ANSI SCSI revision: 02
Detected scsi CD-ROM sr0 at scsi2, channel 0, id 5, lun 0
sr0: scsi3-mmc drive: 17x/40x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.10
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=1
Trying to unmount old root ... okay
Freeing unused kernel memory: 64k freed
Adding Swap: 104380k swap-space (priority -1)
grep uses obsolete /proc/pci interface
st: bufsize 32768, wrt 30720, max buffers 5, s/g segs 16.
Detected scsi tape st0 at scsi1, channel 0, id 5, lun 0
eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
eepro100.c: $Revision: 1.20.2.10 $ 2000/05/31 Modified by Andrey V. Savochkin 
<saw@saw.sw.com.sg> and others
eth0: Intel PCI EtherExpress Pro100 82557, 00:C0:4F:1F:F1:33, IRQ 11.
  Board assembly 07195d-000, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
  Receiver lock-up workaround activated.
VM: killing process httpsd
VM: killing process id
VM: killing process procmail
[root@inspire ssiddiqi]#
Comment 4 Suhaib Siddiqi 2000-08-02 16:18:24 EDT
I am closing this bug.
I upgraded from RH 6.1 to Beta=5, I think that upgrade messed up. It was
not Beta-5 itself or its kernel.
I did a fresh install without formating the disk.  Now it works fine.

Note You need to log in before you can comment on or make changes to this bug.